package com.ruoyi.szxc.service;

import com.ruoyi.szxc.domain.SzxcButie;

import java.util.List;

/**
 * 补贴管理Service接口
 * 
 * @author hs
 * @date 2024-03-20
 */
public interface ISzxcButieService 
{
    /**
     * 查询补贴管理
     * 
     * @param id 补贴管理主键
     * @return 补贴管理
     */
    public SzxcButie selectSzxcButieById(Long id);

    /**
     * 查询补贴管理列表
     * 
     * @param szxcButie 补贴管理
     * @return 补贴管理集合
     */
    public List<SzxcButie> selectSzxcButieList(SzxcButie szxcButie);

    /**
     * 新增补贴管理
     * 
     * @param szxcButie 补贴管理
     * @return 结果
     */
    public int insertSzxcButie(SzxcButie szxcButie);

    /**
     * 修改补贴管理
     * 
     * @param szxcButie 补贴管理
     * @return 结果
     */
    public int updateSzxcButie(SzxcButie szxcButie);

    /**
     * 批量删除补贴管理
     * 
     * @param ids 需要删除的补贴管理主键集合
     * @return 结果
     */
    public int deleteSzxcButieByIds(Long[] ids);

    /**
     * 删除补贴管理信息
     * 
     * @param id 补贴管理主键
     * @return 结果
     */
    public int deleteSzxcButieById(Long id);
}
